## ros-one-voicevox 2.1.31-19jammy.20260116.2124

=== debian/changelog ===
ros-one-voicevox (2.1.31-19jammy.20260116.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:24:11 +0000
