## ros-one-voicevox 2.1.31-19jammy.20260207.2158

=== debian/changelog ===
ros-one-voicevox (2.1.31-19jammy.20260207.2158) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:58:23 +0000
