=== debian/changelog ===
ros-one-voicevox (2.1.31-19noble.20251023.0431) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 04:31:15 +0000

ros-one-voicevox (2.1.31-0noble) noble; urgency=high

  * add LICENSE files
  * Contributors: Kei Okada

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-voicevox (2.1.30-0noble) noble; urgency=high

  * Add voicevox (AI speech synthesis) package (#539 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/539> , #532 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/532> , #538 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/538> )
  * Contributors: Aoi Nakane, Iori Yanokura, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000
