=== debian/control ===
Source: ros-one-voicevox
Section: misc
Priority: optional
Maintainer: Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-catkin-virtualenv, unzip, wget
Homepage: http://ros.org/wiki/voicevox
Standards-Version: 3.9.2

Package: ros-one-voicevox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-one-sound-play
Description: VOICEVOX: AI speech synthesis
