## ros-one-voicevox 2.1.31-19noble.20260207.2157

=== debian/changelog ===
ros-one-voicevox (2.1.31-19noble.20260207.2157) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:57:55 +0000
